Summary: samba Pluggable Authentication Module
Name: pam_smb
Version: 1.1.6
Release: 1
Source0: ftp://ftp.samba.org/pub/samba/pam_smb/pam_smb-1.1.6.tar.gz
URL: http://www.csn.ul.ie/~airlied/pam_smb/
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root

%description 
pam_smb is a PAM module/server which allows authentication of UNIX users
using an NT server.

%prep
%setup -q -n pam_smb

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/security $RPM_BUILD_ROOT/etc
install pam_smb_auth.so $RPM_BUILD_ROOT/lib/security
cp pam_smb.conf.example $RPM_BUILD_ROOT/etc/pam_smb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/security/pam_smb_auth.so
%config(noreplace) /etc/pam_smb.conf
%doc CHANGES COPYING README TODO pam_smb.conf.example

%changelog
* Sun Sep 10 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- making SPEC LFS aware
- update to 1.1.6 (security recommended)

* Wed Sep  8 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- first spec, most ideas taken from pam_ldap
